$(document).ready(function(){
	if($("#to").val() == "") {
		$("#to").attr("disabled", true);
	}
	$("#from" ).datepicker({numberOfMonths: 2});
	$("#from").change(function(){
		$('#to').datepicker('destroy');
		if($(this).val() !== '') {
			$("#to").attr("disabled", false);
			var date2 = $(this).datepicker('getDate', '+1d'); 
			date2.setDate(date2.getDate()+1); 
			$("#to").datepicker({ minDate: date2, numberOfMonths: 2});
		} else {
			$("#to").attr("disabled", true);
		}
	});
	$("#role, #to, #from").change(function(){
		if($("#role").val() !== "" && $("#from").val() == "" && $("#to").val() == "") {
			$("#"+ $(this).data("form")).submit();
		}
		if($("#role").val() !== "" && $("#from").val() !== "" && $("#to").val() !== "") {
			$("#"+ $(this).data("form")).submit();
		}
	})
});